com.sun.jna.platform.win32

## Interface Tlhelp32

- All Superinterfaces:
    AltCallingConvention, Library, StdCall, StdCallLibrary

      public interface Tlhelp32
      extends StdCallLibrary

  Interface for the Tlhelp32.h header file.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Tlhelp32.PROCESSENTRY32` Describes an entry from a list of the processes residing in the system address space when a snapshot was taken.

    - ### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

      `StdCallLibrary.StdCallCallback`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WinDef.DWORD` | `TH32CS_INHERIT` Indicates that the snapshot handle is to be inheritable.
    `static WinDef.DWORD` | `TH32CS_SNAPALL` Includes all processes and threads in the system, plus the heaps and modules of the process specified in th32ProcessID.
    `static WinDef.DWORD` | `TH32CS_SNAPHEAPLIST` Includes all heaps of the process specified in th32ProcessID in the snapshot.
    `static WinDef.DWORD` | `TH32CS_SNAPMODULE` Includes all modules of the process specified in th32ProcessID in the snapshot.
    `static WinDef.DWORD` | `TH32CS_SNAPMODULE32` Includes all 32-bit modules of the process specified in th32ProcessID in the snapshot when called from a 64-bit process.
    `static WinDef.DWORD` | `TH32CS_SNAPPROCESS` Includes all processes in the system in the snapshot.
    `static WinDef.DWORD` | `TH32CS_SNAPTHREAD` Includes all threads in the system in the snapshot.

    - ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

      `FUNCTION_MAPPER, STDCALL_CONVENTION`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

- - ### Field Detail

    - #### TH32CS_SNAPHEAPLIST

          static final WinDef.DWORD TH32CS_SNAPHEAPLIST

      Includes all heaps of the process specified in th32ProcessID in the snapshot. To enumerate the heaps, see Heap32ListFirst.

    - #### TH32CS_SNAPPROCESS

          static final WinDef.DWORD TH32CS_SNAPPROCESS

      Includes all processes in the system in the snapshot. To enumerate the processes, see Process32First.

    - #### TH32CS_SNAPTHREAD

          static final WinDef.DWORD TH32CS_SNAPTHREAD

      Includes all threads in the system in the snapshot. To enumerate the threads, see Thread32First.

    - #### TH32CS_SNAPMODULE

          static final WinDef.DWORD TH32CS_SNAPMODULE

      Includes all modules of the process specified in th32ProcessID in the snapshot. To enumerate the modules, see Module32First. If the function fails with ERROR_BAD_LENGTH, retry the function until it succeeds.

    - #### TH32CS_SNAPMODULE32

          static final WinDef.DWORD TH32CS_SNAPMODULE32

      Includes all 32-bit modules of the process specified in th32ProcessID in the snapshot when called from a 64-bit process. This flag can be combined with TH32CS_SNAPMODULE or TH32CS_SNAPALL. If the function fails with ERROR_BAD_LENGTH, retry the function until it succeeds.

    - #### TH32CS_SNAPALL

          static final WinDef.DWORD TH32CS_SNAPALL

      Includes all processes and threads in the system, plus the heaps and modules of the process specified in th32ProcessID.

    - #### TH32CS_INHERIT

          static final WinDef.DWORD TH32CS_INHERIT

      Indicates that the snapshot handle is to be inheritable.

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.